using Decimation.Content.Items.Accessories;
using Decimation.Content.Items.Misc;
using Decimation.Content.Items.Weapons.Bloodshot;
using Decimation.Content.NPCs.Bloodshot;
using Decimation.Lib.Items;
using Terraria;
using Terraria.ModLoader;

namespace Decimation.Content.Items.Boss.Bloodshot
{
    internal class BloodshotEyeTreasureBag : DecimationTreasureBag
    {
        public override int BossBagNPC => ModContent.NPCType<BloodshotEye>();

        public override void OpenBossBag(Player player)
        {
            player.QuickSpawnItem(ModContent.ItemType<BloodiedEssence>(), Main.rand.Next(35, 51));
            player.QuickSpawnItem(ModContent.ItemType<NecrosisStone>());

            int weapon = 0;
            switch (Main.rand.Next(3))
            {
                case 0:
                    weapon = ModContent.ItemType<VampiricShiv>();
                    break;
                case 1:
                    weapon = ModContent.ItemType<Umbra>();
                    break;
                case 2:
                    weapon = ModContent.ItemType<BloodStream>();
                    break;
            }

            player.QuickSpawnItem(weapon);
        }
    }
}